#ifndef _DOOR_H
#define _DOOR_H

#include "world_entity.h"


class TiXmlElement;


class Door : public WorldEntity
{
  public:
    Door ();
    Door(const TiXmlElement* root);
    virtual ~Door ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    void setAnim(int animationIndex, int animPlaybackMode);
    void setActionRadius(float radius) { this->actionRadius = radius; }

    virtual void tick (float time);

    void open();
    void close();

  private:
    bool checkOpen();

  private:
    bool           bOpen;             //!< true if the door is open
    float          actionRadius;      //!< action radius

};

#endif /* _DOOR_H */
